using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takm2Zadatak2
{
    class Program
    {
        struct PlataIPorez { public double plata; public double porez; }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            List<PlataIPorez> listaPlata = new List<PlataIPorez>();
            string[] s;
            PlataIPorez ulaz;
            for (int i = 0; i < n; i++)
            {
                s = Console.ReadLine().Split();
                ulaz.plata = double.Parse(s[0]);
                ulaz.porez = double.Parse(s[1]);
                listaPlata.Add(ulaz);
            }
            double ukupnaZarada = 0;
            double trenutnaZarada = 0;
            for (int i = 0; i < n; i++)
            {
                trenutnaZarada = 0;
                for (int j = 0; j < n; j++)
                {
                    if (listaPlata[j].porez >= listaPlata[i].porez)
                        trenutnaZarada += listaPlata[j].plata * listaPlata[i].porez / 100;
                }
                if (trenutnaZarada > ukupnaZarada)
                    ukupnaZarada = trenutnaZarada;
            }
            Console.WriteLine(ukupnaZarada);
        }
    }
}